## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate exacl

Name:           rust-exacl
Version:        0.12.0
Release:        %autorelease
Summary:        Manipulate file system access control lists

License:        MIT
URL:            https://crates.io/crates/exacl
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * make bindgen non-optional
# * exclude unnecessary files (ci, unnecessary test scripts, pre-generated
#   bindings)
Patch:          exacl-fix-metadata.diff
# * remove non-bindgen codepath
Patch:          exacl-always-generate-bindings.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  libacl-devel

%global _description %{expand:
Manipulate file system access control lists (ACL) on macOS, Linux, and
FreeBSD.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       libacl-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+buildtime_bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+buildtime_bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "buildtime_bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+buildtime_bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * test doesn't support btrfs
%cargo_test -- -- --exact --skip test_too_many_entries
%endif

%changelog
## START: Generated by rpmautospec
* Sat Aug 17 2024 Michel Lind <salimma@fedoraproject.org> - 0.12.0-2
- Preserve bindgen/wrapper.h
- Fixes: RHBZ#2305395

* Wed Jul 31 2024 Michel Lind <salimma@fedoraproject.org> - 0.12.0-1
- Update to version 0.12.0; Fixes: RHBZ#2262474

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Michel Lind <salimma@fedoraproject.org> - 0.11.0-1
- Initial package (rhbz#2257184)
## END: Generated by rpmautospec
